package com.lukouguoji.aerologic.page.message.details

import android.content.Intent
import androidx.lifecycle.MutableLiveData
import com.lukouguoji.module_base.base.BaseViewModel
import com.lukouguoji.module_base.bean.MessageBean
import com.lukouguoji.module_base.common.Constant
import com.lukouguoji.module_base.http.net.NetApply
import com.lukouguoji.module_base.ktx.launchLoadingCollect
import com.lukouguoji.module_base.ktx.noNull
import com.lukouguoji.module_base.ktx.showToast

class MessageDetailsViewModel : BaseViewModel() {

    val bean = MutableLiveData(MessageBean())

    ///////////////////////////////////////////////////////////////////////////
    // 方法区
    ///////////////////////////////////////////////////////////////////////////

    fun onCreated(intent: Intent) {
        // 获取详情
        bean.value = NetApply.gson
            .fromJson(intent.getStringExtra(Constant.Key.DATA), MessageBean::class.java)
    }

    fun onConfirmClick() {
        launchLoadingCollect({
            NetApply.api.anyGetForId("/msg/handle", bean.value!!.id)
        }) {
            onSuccess = {
                showToast(it.msg.noNull("处理成功"))
                bean.value?.state = "1"
            }
        }
    }

}